Bug 680144 - building of java-1.6.0-openjdk demonstrates missing libraries
building of java-1.6.0-openjdk demonstrates missing libraries
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: java-1.6.0-openjdk (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: jiri vanek
BaseOS QE - Apps
:
Depends On:
Blocks: 679180 924828
  Show dependency treegraph
 
Reported: 2011-02-24 08:27 EST by Jason Pyeron
Modified: 2013-03-22 11:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-28 07:43:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Pyeron 2011-02-24 08:27:37 EST
checking host system type... i686-pc-linux-gnu
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.
error: Bad exit status from /var/tmp/rpm-tmp.23315 (%build)

...


make[6]: g++: Command not found
make[6]: *** [../generated/adfiles/adlparse.o] Error 127
make[6]: *** Waiting for unfinished jobs....
make[6]: Leaving directory `/usr/src/redhat/BUILD/icedtea6-1.7.10/openjdk/build/linux-i586/hotspot/outputdir/linux_i486_compiler2/product'
make[5]: *** [ad_stuff] Error 2
make[5]: Leaving directory `/usr/src/redhat/BUILD/icedtea6-1.7.10/openjdk/build/linux-i586/hotspot/outputdir/linux_i486_compiler2/product'
make[4]: *** [product] Error 2
make[4]: Leaving directory `/usr/src/redhat/BUILD/icedtea6-1.7.10/openjdk/build/linux-i586/hotspot/outputdir'
make[3]: *** [generic_build2] Error 2
make[3]: Leaving directory `/usr/src/redhat/BUILD/icedtea6-1.7.10/openjdk/hotspot/make'
make[2]: *** [product] Error 2
make[2]: Leaving directory `/usr/src/redhat/BUILD/icedtea6-1.7.10/openjdk/hotspot/make'
make[1]: *** [hotspot-build] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/icedtea6-1.7.10/openjdk'
make: *** [stamps/icedtea.stamp] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.81771 (%build)

...


/usr/bin/ld: cannot find -ljvm
collect2: ld returned 1 exit status
make[5]: *** [/builddir/build/BUILD/icedtea6-1.7.10/openjdk/build/linux-amd64/corba/lib/amd64/libioser12.so] Error 1
make[5]: Leaving directory `/builddir/build/BUILD/icedtea6-1.7.10/openjdk/corba/make/sun/corba/core'
make[4]: *** [build] Error 1
make[4]: Leaving directory `/builddir/build/BUILD/icedtea6-1.7.10/openjdk/corba/make/sun/corba'
make[3]: *** [build] Error 1
make[3]: Leaving directory `/builddir/build/BUILD/icedtea6-1.7.10/openjdk/corba/make/sun'
make[2]: *** [build] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/icedtea6-1.7.10/openjdk/corba/make'
make[1]: *** [corba-build] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/icedtea6-1.7.10/openjdk'
make: *** [stamps/icedtea.stamp] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.3952 (%build)
Comment 1 Jason Pyeron 2011-02-24 08:28:42 EST
this bug was dicsovered while trying to fix bug 679180
Comment 2 jiri vanek 2011-02-28 07:43:24 EST
java-1.6.0-openjdk is buildable for all supported architectures

Note You need to log in before you can comment on or make changes to this bug.